re_pattern_buffer Struct Reference

`#include <oniguruma.h>`

## Data Fields

unsigned char * | p
unsigned int | used
unsigned int | alloc
int | state
int | num_mem
int | num_repeat
int | num_null_check
int | num_comb_exp_check
int | num_call
unsigned int | capture_history
unsigned int | bt_mem_start
unsigned int | bt_mem_end
int | stack_pop_level
int | repeat_range_alloc
OnigRepeatRange * | repeat_range
OnigEncoding | enc
OnigOptionType | options
const OnigSyntaxType * | syntax
OnigCaseFoldType | case_fold_flag
void * | name_table
int | optimize
int | threshold_len
int | anchor
OnigDistance | anchor_dmin
OnigDistance | anchor_dmax
int | sub_anchor
unsigned char * | exact
unsigned char * | exact_end
unsigned char | map [ONIG_CHAR_TABLE_SIZE]
int * | int_map
int * | int_map_backward
OnigDistance | dmin
OnigDistance | dmax
struct re_pattern_buffer * | chain

## Detailed Description

Definition at line 628 of file oniguruma.h.

## Field Documentation

unsigned int re_pattern_buffer::alloc

Definition at line 632 of file oniguruma.h.

Referenced by onig_compile(), and onig_memsize().

int re_pattern_buffer::anchor

Definition at line 656 of file oniguruma.h.

Referenced by clear_optimize_info(), onig_search(), and set_optimize_info_from_tree().

OnigDistance re_pattern_buffer::anchor_dmax

Definition at line 658 of file oniguruma.h.

Referenced by clear_optimize_info(), onig_search(), and set_optimize_info_from_tree().

OnigDistance re_pattern_buffer::anchor_dmin

Definition at line 657 of file oniguruma.h.

Referenced by clear_optimize_info(), onig_search(), and set_optimize_info_from_tree().

unsigned int re_pattern_buffer::bt_mem_end

Definition at line 642 of file oniguruma.h.

Referenced by compile_enclose_node(), compile_length_enclose_node(), match_at(), and onig_compile().

unsigned int re_pattern_buffer::bt_mem_start

Definition at line 641 of file oniguruma.h.

Referenced by compile_enclose_node(), compile_length_enclose_node(), match_at(), and onig_compile().

unsigned int re_pattern_buffer::capture_history

Definition at line 640 of file oniguruma.h.

Referenced by match_at(), onig_compile(), and onig_number_of_capture_histories().

OnigCaseFoldType re_pattern_buffer::case_fold_flag

Definition at line 650 of file oniguruma.h.

Referenced by backward_search_range(), expand_case_fold_string(), forward_search_range(), match_at(), onig_get_case_fold_flag(), onig_parse_make_tree(), set_optimize_info_from_tree(), and update_string_node_case_fold().

struct re_pattern_buffer* re_pattern_buffer::chain

Definition at line 669 of file oniguruma.h.

Referenced by onig_chain_link_add(), onig_chain_reduce(), onig_free_body(), onig_match(), onig_memsize(), and onig_search().

OnigDistance re_pattern_buffer::dmax

Definition at line 666 of file oniguruma.h.

Referenced by backward_search_range(), forward_search_range(), onig_search(), set_optimize_exact_info(), and set_optimize_map_info().

OnigDistance re_pattern_buffer::dmin

Definition at line 665 of file oniguruma.h.

Referenced by backward_search_range(), forward_search_range(), set_optimize_exact_info(), and set_optimize_map_info().

OnigEncoding re_pattern_buffer::enc

Definition at line 647 of file oniguruma.h.

Referenced by backward_search_range(), bm_search_backward(), bm_search_notrev(), compile_cclass_node(), compile_length_cclass_node(), compile_length_string_node(), compile_string_node(), expand_case_fold_string(), expand_case_fold_string_alt(), forward_search_range(), get_char_length_tree1(), is_not_included(), match_at(), name_add(), onig_compile(), onig_foreach_name(), onig_get_encoding(), onig_match(), onig_parse_make_tree(), onig_search(), rb_reg_prepare_re(), set_optimize_exact_info(), set_optimize_info_from_tree(), and update_string_node_case_fold().

unsigned char* re_pattern_buffer::exact

Definition at line 660 of file oniguruma.h.

Referenced by backward_search_range(), clear_optimize_info(), forward_search_range(), onig_free_body(), onig_memsize(), and set_optimize_exact_info().

unsigned char* re_pattern_buffer::exact_end

Definition at line 661 of file oniguruma.h.

Referenced by backward_search_range(), clear_optimize_info(), forward_search_range(), onig_memsize(), and set_optimize_exact_info().

int* re_pattern_buffer::int_map

Definition at line 663 of file oniguruma.h.

Referenced by bm_search(), bm_search_notrev(), onig_free_body(), onig_memsize(), and set_optimize_exact_info().

int* re_pattern_buffer::int_map_backward

Definition at line 664 of file oniguruma.h.

Referenced by backward_search_range(), bm_search_backward(), onig_free_body(), and onig_memsize().

unsigned char re_pattern_buffer::map[ONIG_CHAR_TABLE_SIZE]

Definition at line 662 of file oniguruma.h.

Referenced by backward_search_range(), bm_search(), bm_search_notrev(), forward_search_range(), set_optimize_exact_info(), and set_optimize_map_info().

void* re_pattern_buffer::name_table

Definition at line 651 of file oniguruma.h.

Referenced by name_add(), name_find(), names_clear(), onig_foreach_name(), onig_names_free(), onig_number_of_names(), and onig_renumber_name_table().

int re_pattern_buffer::num_call

Definition at line 639 of file oniguruma.h.

Referenced by compile_range_repeat_node(), and onig_compile().

int re_pattern_buffer::num_comb_exp_check

Definition at line 638 of file oniguruma.h.

Referenced by match_at(), onig_compile(), onig_match(), and onig_search().

int re_pattern_buffer::num_mem

Definition at line 635 of file oniguruma.h.

Referenced by match_at(), onig_compile(), onig_match(), onig_number_of_captures(), onig_parse_make_tree(), and onig_search().

int re_pattern_buffer::num_null_check

Definition at line 637 of file oniguruma.h.

Referenced by compile_tree_empty_check(), and onig_compile().

int re_pattern_buffer::num_repeat

Definition at line 636 of file oniguruma.h.

Referenced by compile_range_repeat_node(), match_at(), and onig_compile().

int re_pattern_buffer::optimize

Definition at line 654 of file oniguruma.h.

Referenced by backward_search_range(), clear_optimize_info(), forward_search_range(), onig_search(), set_optimize_exact_info(), and set_optimize_map_info().

OnigOptionType re_pattern_buffer::options

Definition at line 648 of file oniguruma.h.

Referenced by compile_length_option_node(), compile_length_tree(), compile_option_node(), compile_quantifier_node(), compile_tree(), get_head_value_node(), match_at(), onig_compile(), onig_get_options(), onig_noname_group_capture_is_active(), onig_parse_make_tree(), onig_search(), rb_reg_equal(), rb_reg_prepare_re(), set_optimize_info_from_tree(), and setup_tree().

unsigned char* re_pattern_buffer::p

Definition at line 630 of file oniguruma.h.

Referenced by match_at(), onig_free_body(), and onig_memsize().

OnigRepeatRange* re_pattern_buffer::repeat_range

Definition at line 645 of file oniguruma.h.

Referenced by entry_repeat_range(), match_at(), onig_compile(), onig_free_body(), and onig_memsize().

int re_pattern_buffer::repeat_range_alloc

Definition at line 644 of file oniguruma.h.

Referenced by entry_repeat_range(), onig_compile(), and onig_memsize().

int re_pattern_buffer::stack_pop_level

Definition at line 643 of file oniguruma.h.

Referenced by match_at(), and onig_compile().

int re_pattern_buffer::state

Definition at line 634 of file oniguruma.h.

Referenced by onig_chain_reduce(), and onig_compile().

int re_pattern_buffer::sub_anchor

Definition at line 659 of file oniguruma.h.

Referenced by backward_search_range(), clear_optimize_info(), forward_search_range(), set_optimize_info_from_tree(), and set_sub_anchor().

const OnigSyntaxType* re_pattern_buffer::syntax

Definition at line 649 of file oniguruma.h.

Referenced by onig_get_syntax(), onig_noname_group_capture_is_active(), and onig_parse_make_tree().

int re_pattern_buffer::threshold_len

Definition at line 655 of file oniguruma.h.

Referenced by clear_optimize_info(), onig_search(), set_optimize_exact_info(), and set_optimize_map_info().

unsigned int re_pattern_buffer::used

Definition at line 631 of file oniguruma.h.

Referenced by compile_tree(), and onig_compile().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h